Subject: [hybi] WebSocket Subprotocol Close Code: Bad Gateway - code 1014

From: Alexey Melnikov <[email-masked]>
Date: Sun, 9 Oct 2016 13:53:23 +0100

Hi,

Unless there are objections, I will recommend use of currently unused
1014 for this.

Best Regards,
Alexey

On 12/09/2016 12:13, Adam Rice wrote:
> I can see how that might be useful.
> 
> RFC 6455 section 11.7 provides for adding new status codes. See
>  https://tools.ietf.org/html/rfc6455#section-11.7
> and http://www.iana.org/assignments/websocket/websocket.xhtml#close-code-number
> 
> On 8 September 2016 at 23:53, Johan de Vries <[email-masked]
> <mailto:[email-masked]>> wrote:
> 
>     Hello,
> 
> 
>     I would like to reserve a status code much akin to HTTP's 502 Bad
>     Gateway.
> 
>     The description would be the same as for 502: The server was acting
>     as a gateway or proxy and received an invalid response from the
>     upstream server.
> 
>     My motivation is that I'm implementing an application that allows a
>     website to connect to a server over WebSockets (much like Guacamole
>     does). It would be useful to be able to indicate when a proxy error
>     occurs to the client.
> 
>     I'm not sure what range this should be in, so I'm not claiming a
>     number. I think it's generic enough to warrant the next number in
>     the list (1016?) but again I'm not sure about how this part works.
> 
> 
>     Met vriendelijke groet,
>      
>     Johan de Vries
>      
>     Wivion bv
>     Vierlingsbeekseweg 52A | NL-5825 AX  Overloon
>     www.wivion.nl <http://www.wivion.nl/>
> 
>     _______________________________________________
>     hybi mailing list
>     [email-masked] <mailto:[email-masked]>
>     https://www.ietf.org/mailman/listinfo/hybi
>     <https://www.ietf.org/mailman/listinfo/hybi>
> 
> 
> 
> 
> _______________________________________________
> hybi mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/hybi
>